View Issue Details

IDProjectCategoryView StatusLast Update
0000797PluginsMultiArc (old)public2010-01-09 14:06
ReporterDocent1Assigned Toalexy 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.75 
Summary0000797: Большие архивы ZIP MultiArc (Zip.fmt) не открывает
Description  Есть большой Zip-архив размером 8194 М (8 591 727 122 байт), в котором
94750 файлов и папок. Этот архив был создан pkzipc.exe (вер.8.00.0010)стандартной командой.
  При открытии архива через Zip.fmt тот считает до 1290752 (т.е. больше, чем существует файлов), потом зависает.
Far 1.75.0.2551 плагины ревизии 2735. OS как Виста, так и ХР.
TagsNo tags attached.

Activities

DiRTy_GaRRy

2009-03-23 17:42

developer   bugnote:0002822

Псмотрел. Тут два косяка:
1. Не до конца доделанная поддержка больших файлов — правится без проблем;
2. Нет поддержки Zip64 — а вот это надо делать. Я сегодня вечерком поковыряюсь.

alexy

2009-10-27 01:28

administrator   bugnote:0004348

ау

DiRTy_GaRRy

2009-10-27 13:00

developer   bugnote:0004350

Сорри... Сейчас времени совсем нет. Если кто будет делать, то велком. Я смогу что-либо сделать не раньше новго года. :(

alexy

2009-10-27 13:21

administrator   bugnote:0004351

Ну мы не спешим никуда, проверяю что не забыл.

hman

2010-01-05 10:21

reporter  

multiarc_zip45fix.zip (9,431 bytes)

hman

2010-01-05 10:25

reporter   bugnote:0004768

в приаттаченом файле подправлена поддержка больших >4Gb файлов и добавлена поддержка zip64 descriptors

alexy

2010-01-08 16:01

administrator   bugnote:0004775

закомитил, zip.fmt 1.32

hman

2010-01-09 12:07

reporter   bugnote:0004779

закомичено верно, issue можно закрывать.

Issue History

Date Modified Username Field Change
2009-03-23 14:44 Docent1 New Issue
2009-03-23 14:44 Docent1 Status new => assigned
2009-03-23 14:44 Docent1 Assigned To => alexy
2009-03-23 17:42 DiRTy_GaRRy Note Added: 0002822
2009-03-30 22:16 alexy Assigned To alexy => DiRTy_GaRRy
2009-10-27 01:28 alexy Note Added: 0004348
2009-10-27 13:00 DiRTy_GaRRy Note Added: 0004350
2009-10-27 13:21 alexy Note Added: 0004351
2010-01-05 09:31 vskirdin Project Far Manager 1.7x => Plugins
2010-01-05 09:32 vskirdin Category Command Line/Execute => MultiArc
2010-01-05 10:21 hman File Added: multiarc_zip45fix.zip
2010-01-05 10:25 hman Note Added: 0004768
2010-01-08 15:54 alexy Assigned To DiRTy_GaRRy => alexy
2010-01-08 16:01 alexy Note Added: 0004775
2010-01-08 16:01 alexy Status assigned => feedback
2010-01-09 12:07 hman Note Added: 0004779
2010-01-09 12:07 hman Status feedback => resolved
2010-01-09 14:06 alexy Status resolved => closed
2010-01-09 14:06 alexy Fixed in Version => 1.75
2010-01-09 14:06 alexy Resolution open => fixed
2013-05-21 00:38 alexy Category MultiArc => MultiArc (old)